Skip to content
payrocdevelopers

Retrieve authorization

Browse API reference

GET/authorizations/{authorizationId}getAuthorization

Use this method to retrieve information about an authorization.

Note: To retrieve an authorization, you need its authorizationId. If you don't have the authorizationId, use our List Authorizations method to search for the authorization.

Our gateway returns the following information about the authorization:

  • Authorization response from the issuing bank.
  • Amount that the issuing bank authorized.
  • Merchant that ran the authorization.
  • Details about the customer's card, the transaction, and the batch.

Parameters

NameInTypeDescription
authorizationIdRequiredpathinteger

Unique identifier of the authorization.

Responses

Successful request. Returns the requested authorization.

200 OK · application/json
{
  "authorizationId": 65,
  "authorizationResponse": "successful",
  "batch": {
    "batchId": 12,
    "cycle": "am",
    "date": "2024-07-02",
    "link": {
      "href": "https://api.payroc.com/v1/batches/12",
      "method": "get",
      "rel": "batch"
    }
  },
  "card": {
    "avsRequest": true,
    "avsResponse": "Y",
    "cardNumber": "453985******7062",
    "cvvPresenceIndicator": true,
    "type": "visa"
  },
  "createdDate": "2024-07-02",
  "currency": "USD",
  "lastModifiedDate": "2024-07-02",
  "merchant": {
    "doingBusinessAs": "Pizza Doe",
    "link": {
      "href": "https://api.payroc.com/v1/processing-accounts/38765",
      "method": "get",
      "rel": "processingAccount"
    },
    "merchantId": "4525644354",
    "processingAccountId": 38765
  },
  "preauthorizationRequestAmount": 10000,
  "transaction": {
    "amount": 100,
    "date": "2024-07-02",
    "entryMethod": "swiped",
    "link": {
      "href": "https://api.payroc.com/v1/transactions/12345",
      "method": "get",
      "rel": "transaction"
    },
    "transactionId": 442233,
    "type": "capture"
  }
}
Response schema · 38 fields
  • authorizationIdinteger
    Unique identifier that we assigned to the authorization.
  • authorizationResponsestring
    Response from the issuing bank for the authorization.activityCountLimitExceededalreadyReversedapprovedapproveVipapproveWithIdcannotVerifyPincardAuthenticationFailedcardTypeVerificationError+83 more
  • batchobjectnull
    Object that contains information about the batch. If we can't match a dispute to a batch, we don't return 'batch' object.
    • batchIdinteger
      Unique identifier of the batch.
    • cyclestring
      Indicates the cycle that contains the batch.
    • datestringdate
      Date that the merchant submitted the batch.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
  • cardobject
    Object that contains information about the card.
    • avsRequestboolean
      Indicates whether the merchant used the Address Verification Service (AVS) to verify the cardholder's address.
    • avsResponsestring
      Response from the Address Verification Service (AVS).
    • cardNumberstring
      Masked card number. Our gateway shows only the first six digits and the last four digits of the card number, for example, 500165******0000.
    • cvvPresenceIndicatorboolean
      Indicates whether the cardholder provided the Card Verification Value (CVV).
    • typestringnull
      Card type, for example, Visa. Note: If we can’t match a dispute to a transaction, we don’t return a type object.visamasterCarddiscoverdebitebtwrightExpressvoyageramex+8 more
  • createdDatestringdate
    Date that we received the authorization. The format of this value is YYYY-MM-DD.
  • currencystring
    Currency of the authorization. The value for the currency follows the ISO 4217 standard.
  • lastModifiedDatestringdate
    Date that the authorization was last changed. The format of this value is YYYY-MM-DD.
  • merchantobject
    Object that contains information about the merchant.
    • doingBusinessAsstring
      Trading name of the business.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • merchantIdstring
      Unique identifier that the processor assigned to the merchant.
    • processingAccountIdinteger
      Unique identifier that we assigned to the processing account.
  • preauthorizationRequestAmountinteger
    Amount that the merchant requested for the authorization. We return the value in the currency's lowest denomination, for example, cents.
  • transactionobject
    Object that contains summary information about the transaction that the dispute is linked to.
    • amountintegerint64
      Total amount of the transaction. The value is in the currency's lowest denomination, for example, cents.
    • datestringdate
      Date of the transaction. The format of this value is YYYY-MM-DD.
    • entryMethodstringnull
      Describes how the merchant received the payment details. If we can't match a dispute to a transaction, we don't return an entryMethod object.barcodeReadsmartChipReadswipedOriginUnknowncontactlessChipecommercemanuallyEnteredmanuallyEnteredFallbackswiped+5 more
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • transactionIdintegernull
      Unique identifier of the transaction. If we can't match a dispute to a transaction, we don't return the transactionId or link object.
    • typestring
      Indicates the type of transaction.capturereturn

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer